## ===========================================================================
##  Copyright (c) 1998-2000 K.U.Leuven
##  
##  This software is provided AS IS, without any express or implied
##  warranty.  In no event will the authors or the K.U.Leuven be held
##  liable for any damages or loss of profit arising from the use or
##  non-fitness for a particular purpose of this software.
##  
##  See file README in the home directory for details about
##  copyrights and licensing.
## ===========================================================================
##  NAME:       Makefile
##  TYPE:       makefile
##  PROJECT:    libvrml - An extensible VRML'97 parser
##  CONTENT:    Base Makefile.am
## ===========================================================================
##  AUTHORS:    jp      Jan Prikryl
## ===========================================================================
##  HISTORY:
##
##  31-Jan-00 19:45:18  jp      last modification
##  31-Jan-00 19:44:28  jp      optional compilation of NODEGEN
##  28-Jan-00 17:53:03  jp      no dependency tracking
##  03-Sep-99 10:15:53  jp      created
## ===========================================================================
##
## Process this file with automake to produce Makefile.in
##

AUTOMAKE_OPTIONS = no-dependencies

##
## Compilation in NODEGEN directory
##
if AM_NODEGEN
NODEGENDIR = NODEGEN
else
NODEGENDIR =
endif

SUBDIRS = \
	DOC \
	$(NODEGENDIR) \
	VRML \
	POOLS \
	PROGS \
	TEST

EXTRA_DIST = \
	.cghead \
	0README \
	BUGS \
	Config.Linux \
	Config.SGI \
	Config.common \
	Makefile.save \
	make.rules \
	mk2save.sh \
	save2mk.sh

include $(top_srcdir)/make.rules

## ===========================================================================
## End of Makefile.am
## ===========================================================================
